RFC019 — Relação de Duplicatas
Fonte
- Source:
source/RFC019/ - Form:
source/RFC019/URFC019.pas - DataModule:
source/RFC019/UdmRFC019.pas
Objetivo
Relatório "Relacao de Duplicatas": lista duplicatas (contas a pagar/receber) com filtros por periodo, pessoa, tipo de conta, vendedor, romaneio, processo e situacao. Calcula juros/mora via CALCULA_JUROMORA/CALCULA_JUROMORA_RFC019, busca dados cadastrais, trata contas reparceladas, de uma vez, origem cartao e sobra/romaneio. Alimentado por VIEW_RFC019_T e views de posicao financeira. Saida analitica/sintetica para cobranca e conferencia de titulos.
Funcionalidades
- Tipos de Relatório
- Filtros de Data
- Filtro por Situação
- Filtro por Tipo de Conta
- Opções de Quebra
- Filtros Adicionais em Grids
Perguntas Frequentes
Módulo: RFC019 - Posição Financeira / Relatório de Contas
P: Qual é a finalidade da tela RFC019? R: A tela RFC019 tem como objetivo gerar relatórios de posição financeira e contas a pagar/receber com filtros avançados. É uma das telas mais completas do módulo financeiro, oferecendo diversos modelos de relatório e múltiplos filtros como empresa, pessoa, tipo de conta, tipo de vendedor, período de emissão, vencimento, liquidação, forma de pagamento, entre outros. Utiliza views como VIEW_POSICAOFINANCEIRAINTERVALO, VIEW_POSICAOFINANCEIRAHISTORICO e VIEW_POSICAOFINANCEIRA.
P: Ao informar o código da empresa, o sistema apresenta a mensagem "A Empresa não está Cadastrada! [ADM002]". Como devo proceder? R: Este erro indica que o código de empresa informado não foi encontrado no cadastro. Verifique se o código está correto ou acesse a tela de Cadastro de Empresas (ADM002) para verificar as empresas disponíveis.
P: O sistema apresenta a mensagem "A Pessoa não está Cadastrado! [TFA001]". Como resolver? R: O código da pessoa informado não foi encontrado no cadastro. Verifique se o código está correto ou acesse a tela de Cadastro de Pessoas (TFA001) para consultar ou cadastrar a pessoa.
P: O sistema apresenta a mensagem "O Tipo de Conta não está Cadastrado! [TFC005]". O que significa? R: O código do tipo de conta informado não existe no cadastro. Verifique o código ou acesse a tela de Cadastro de Tipo de Conta (TFC005) para verificar os tipos disponíveis.
P: Quais são os atalhos de teclado disponíveis nesta tela? R: Os atalhos disponíveis são: F4 para limpar os filtros, F5 para novo registro, F8 para imprimir o relatório, F9 (nos campos de pesquisa) para abrir a lista de seleção e F12 para sair da tela.
Mensagens exibidas
Levantadas de source/RFC019/ pela camada 0 (commit 96fc51e236).
Mais 45 mensagens com texto literal no código: RFC019.
Parâmetros lidos
Campos PARM* lidos via values[] em source/RFC019/ (commit 96fc51e236).
| Parâmetro | Tabela |
|---|---|
| ST_VARIOSVENDEDORES | PARMFATUR |
Tabelas de Escrita (INSERT/UPDATE/DELETE)
| Tabela | Operacoes |
|---|---|
| CONTAS_TEMP | DELETE, SELECT |
| PERFIL | DELETE, INSERT, SELECT, UPDATE |
| PESSOA | DELETE, INSERT, SELECT, UPDATE |
| TIPOCONTA | DELETE, INSERT, SELECT, UPDATE |
Tabelas de Leitura (SELECT)
| Tabela | Operacoes |
|---|---|
| AGENCIA | SELECT |
| BANCO | SELECT |
| CHEQUE | SELECT |
| CONTAS | SELECT |
| CONTASBOLETO | SELECT |
| CONTASHISTORICO | SELECT |
| CONTASJUNCAO | SELECT |
| EMPRESA | SELECT |
| ENDERECOPESSOA | SELECT |
| ESTADO | SELECT |
| FORMAPAGTO | SELECT |
| HISTORICO | SELECT |
| ITEMNOTA | SELECT |
| ITEMNOTAVENDEDOR | SELECT |
| JURO | SELECT |
| MODELONF | SELECT |
| MOVTOCAIXA | SELECT |
| MOVTOPROCESSO | SELECT |
| MUNICIPIO | SELECT |
| NOTA | SELECT |
| PARMFATUR | SELECT |
| PARMFINANC | SELECT |
| PARMSALDO | SELECT |
| PESSOAVENDEDOR | SELECT |
| PROCESSO | SELECT |
| ROMANEIO | SELECT |
| TIPOPESSOA | SELECT |
| TIPOVENDEDOR | SELECT |
| USUARIOEMPRESA | SELECT |
| VENDEDOR | SELECT |
Procedures Chamadas
| Procedure | Tabelas Acessadas |
|---|---|
| CALCULA_JUROMORA | CONTAS (SELECT), CONTASHISTORICO (SELECT), CREDITO (SELECT), HISTORICO (SELECT), JURO (SELECT), MOVTOPROCESSO (SELECT) +3 |
| CALCULA_JUROMORA_RFC019 | CONTAS (SELECT), CONTASHISTORICO (SELECT), HISTORICO (SELECT), JURO (SELECT), MOVTOPROCESSO (SELECT), PARMFINANC (SELECT) +1 |
| EXCLUIR_INCOBRAVEL | MOVTOCAIXA (SELECT), MOVTOPROCESSO (SELECT) |
| RETORNA_BAIXACONTASALDO | HISTORICO (SELECT), MOVTOCAIXA (SELECT), MOVTOPROCESSO (SELECT), PROCESSO (SELECT) |
| RETORNA_CONTAROMANEIO | CONTAS (SELECT), PEDIDONOTA (SELECT), ROMANEIOCONTAS (SELECT), ROMANEIONOTA (SELECT), ROMANEIOPEDIDO (SELECT) |
| RETORNA_CONTASOBRA | CONTAS (SELECT), PEDIDONOTA (SELECT), ROMANEIO (SELECT), ROMANEIOCONTAS (SELECT), ROMANEIONOTA (SELECT), ROMANEIOPEDIDO (SELECT) |
| RETORNA_CONTASORIGEMCARTAO | CHEQUE (SELECT), CONTAS (SELECT), CONTASHISTORICO (SELECT), MOVTOCAIXA (SELECT), MOVTOPROCESSO (SELECT), PROCESSO (SELECT) |
| RETORNA_CONTASUMAVEZ | CONTAS_TEMP (INSERT/SELECT) |
| RETORNA_DADOSCADASTRAIS | AREACOMERCIAL (SELECT), ENDERECOPESSOA (SELECT), ESTADO (SELECT), FORMAPAGTO (SELECT), GRUPOPCP (SELECT), MUNICIPIO (SELECT) +4 |
| RETORNA_DESPESACOBRANCA | CONTASBOLETO (SELECT) |
| RETORNA_MAIORPARCELACONTAS | CONTAS (SELECT), CONTASJUNCAO (SELECT) |
| RETORNA_PAGTOPARCIAL | MOVTOPROCESSO (SELECT), PROCESSO (SELECT) |
| VERIFICA_PERFILPESSOA | PESSOAPERFIL (SELECT) |
| VIEW_PARMSALDO | EMPRESA (SELECT), PARMFINANC (SELECT), PARMSALDO (SELECT), SESSAO (INSERT/SELECT), USUARIOCONTASALDO (SELECT) |
| VIEW_PLANOCONTAS | CENTROCUSTO (SELECT), CONTASPESSOA (SELECT), PARMCONTABIL (SELECT), PARMSISTEMA (SELECT), PLANOCONTAS (SELECT), PLANOEMPRESA (SELECT) |
| VIEW_POSICAOFINANCEIRA | CONTAS (SELECT), CONTASHISTORICO (SELECT), CONTASJUNCAO (SELECT), CONTAS_TEMP (DELETE/INSERT/SELECT), DESTINOREPARCELAMENTO (SELECT), FATURA (SELECT) +4 |
| VIEW_POSICAOFINANCEIRAHISTORICO | CONTAS (SELECT), CONTASHISTORICO (SELECT), CONTASJUNCAO (SELECT), DESTINOREPARCELAMENTO (SELECT), FATURA (SELECT), FATURACONTAS (SELECT) +2 |
| VIEW_POSICAOFINANCEIRAINTERVALO | CONTAS (SELECT), CONTASHISTORICO (SELECT), CONTASJUNCAO (SELECT), DESTINOREPARCELAMENTO (SELECT), FATURA (SELECT), FATURACONTAS (SELECT) +2 |
| VIEW_RFC019_T | CAIXA (SELECT), CARTAOCRED (SELECT), CHEQUE (SELECT), CONTAS (SELECT), CONTASHISTORICO (SELECT), HISTORICO (SELECT) +6 |
| VIEW_TIPOCONTASUSUARIO | PARMFINANC (SELECT), TIPOCONTARESTRITA (SELECT) |
Tabelas via Procedures (acesso indireto)
| Tabela | Operacoes |
|---|---|
| AREACOMERCIAL | SELECT |
| CAIXA | SELECT |
| CARTAOCRED | SELECT |
| CENTROCUSTO | SELECT |
| CHEQUE | SELECT |
| CONTAS | SELECT |
| CONTASBOLETO | SELECT |
| CONTASHISTORICO | SELECT |
| CONTASJUNCAO | SELECT |
| CONTASPESSOA | SELECT |
| CONTAS_TEMP | DELETE, INSERT, SELECT |
| CREDITO | SELECT |
| DESTINOREPARCELAMENTO | SELECT |
| EMPRESA | SELECT |
| ENDERECOPESSOA | SELECT |
| ESTADO | SELECT |
| FATURA | SELECT |
| FATURACONTAS | SELECT |
| FORMAPAGTO | SELECT |
| GRUPOPCP | SELECT |
| HISTORICO | SELECT |
| JURO | SELECT |
| MOVTOCAIXA | SELECT |
| MOVTOPROCESSO | SELECT |
| MUNICIPIO | SELECT |
| ORIGEMREPARCELAMENTO | SELECT |
| PAISBACEN | SELECT |
| PARMCONTABIL | SELECT |
| PARMFINANC | SELECT |
| PARMSALDO | SELECT |
| ... | +18 tabelas |
Dependencias Aferentes (quem alimenta esta tela)
Telas que escrevem em tabelas lidas por esta tela.
| Tela | Título | Tabelas em Comum |
|---|---|---|
| MNF011 | Alteração de Comissões | CONTAS, EMPRESA, ENDERECOPESSOA, ITEMNOTA, ITEMNOTAVENDEDOR +3 |
| CFC001 | Contas / Cheques / Adiantamentos | CONTASHISTORICO, HISTORICO, MOVTOCAIXA, MOVTOPROCESSO, PERFIL +2 |
| MFC009 | Alteração de Duplicatas | CHEQUE, CONTAS, CONTASHISTORICO, HISTORICO, NOTA +2 |
| MFC011 | Gerenciamento de Boletos | CONTAS, CONTASBOLETO, CONTASJUNCAO, PESSOA, PROCESSO +2 |
| MNF001 | Recebimento de Notas Fiscais de Compra | EMPRESA, ENDERECOPESSOA, ITEMNOTA, MODELONF, MOVTOCAIXA +2 |
| MRC020 | Confirmação de Ordem de Carregamento Recapadora | CONTAS, EMPRESA, ITEMNOTA, ITEMNOTAVENDEDOR, MOVTOCAIXA +2 |
| CNF001 | Consulta de Notas Fiscais | CONTAS, EMPRESA, ITEMNOTA, ITEMNOTAVENDEDOR, NOTA +1 |
| MCB015 | Envio de Email | EMPRESA, ESTADO, FORMAPAGTO, MUNICIPIO, PESSOA +1 |
| MNF032 | Importação de XML Transmitido | ENDERECOPESSOA, ITEMNOTA, ITEMNOTAVENDEDOR, MOVTOCAIXA, NOTA +1 |
| MPD011 | Confirmação Ordem Carregamento | CONTAS, EMPRESA, ITEMNOTA, ITEMNOTAVENDEDOR, NOTA +1 |
| CNF012 | Consulta de CTRC | CONTAS, EMPRESA, ITEMNOTA, NOTA, PESSOA |
| MFC004 | Pagamento / Recebimento de Contas | CONTAS, MOVTOCAIXA, PERFIL, PESSOA, TIPOCONTA |
| MFC012 | Agrupamento de Contas | CONTAS, CONTASJUNCAO, PESSOA, TIPOCONTA, TIPOPESSOA |
| MFC015 | Desconto de Duplicatas / Cheques | CONTAS, CONTASJUNCAO, PESSOA, PROCESSO, TIPOCONTA |
| MFC026 | Gerenciamento Salário Funcionário | CONTAS, EMPRESA, PESSOA, TIPOCONTA, TIPOPESSOA |
| MNF002 | Emissão de Nota Fiscal de Venda | EMPRESA, ITEMNOTA, ITEMNOTAVENDEDOR, MOVTOCAIXA, NOTA |
| MNF023 | Gerenciamento de Contas de Contratos | CONTAS, EMPRESA, ITEMNOTA, NOTA, PESSOA |
| MNF026 | Troca de Produtos com Emissão de Nota Fiscal | EMPRESA, ITEMNOTA, ITEMNOTAVENDEDOR, MOVTOCAIXA, NOTA |
| MNF029 | CONTAS, EMPRESA, ITEMNOTA, NOTA, PESSOA | |
| MNF030 | EMPRESA, ENDERECOPESSOA, ITEMNOTA, NOTA, PESSOA | |
| MTR004 | Despesas | ENDERECOPESSOA, ITEMNOTA, MODELONF, NOTA, PESSOA |
| RFC004 | Contas por Pessoa | PERFIL, PESSOA, TIPOCONTA, TIPOVENDEDOR, VENDEDOR |
| TFA001 | Pessoas Físicas / Jurídicas | ENDERECOPESSOA, PESSOA, PESSOAVENDEDOR, TIPOPESSOA, VENDEDOR |
| TFA006 | Tabelas de Preço | EMPRESA, FORMAPAGTO, PARMFATUR, PERFIL, PESSOA |
| MFC007 | Estorno de Pagamento / Recebimento de Contas | CONTAS, MOVTOCAIXA, PESSOA, TIPOCONTA |
| MFC010 | CONTAS, PESSOA, PROCESSO, TIPOCONTA | |
| MFC019 | Reparcelamento de Contas | CONTAS, CONTASHISTORICO, EMPRESA, PESSOA |
| MFC023 | Duplicata / Adiantamento por Obra | CONTAS, CONTASHISTORICO, CONTASJUNCAO, HISTORICO |
| MFC025 | Gerenciamento de Cheques | CHEQUE, CONTAS, FORMAPAGTO, PESSOA |
| MFC030 | CONTAS, PESSOA, TIPOCONTA, TIPOPESSOA | |
| ... | +553 telas |
Dependencias Eferentes (quem consome dados desta tela)
Telas que leem tabelas escritas por esta tela.
| Tela | Título | Tabelas em Comum |
|---|---|---|
| ADM024 | Parâmetros de Usuário - Portal | PERFIL, PESSOA, TIPOCONTA |
| CFC001 | Contas / Cheques / Adiantamentos | PERFIL, PESSOA, TIPOCONTA |
| MFC004 | Pagamento / Recebimento de Contas | PERFIL, PESSOA, TIPOCONTA |
| RFC004 | Contas por Pessoa | PERFIL, PESSOA, TIPOCONTA |
| RFC034 | Relação de Folha de Pagamento | PERFIL, PESSOA, TIPOCONTA |
SIN001 | Cadastro de Dispositivo Móvel | PERFIL, PESSOA, TIPOCONTA |
jCommon | PERFIL, PESSOA, TIPOCONTA | |
| ADM001 | Cadastro de Usuários | PESSOA, TIPOCONTA |
| ADM023 | Configurações Gerais - Portal | PERFIL, TIPOCONTA |
| CEQ001 | Saldo em Estoque | PERFIL, PESSOA |
| CFC002 | Movimentos de Caixa | PESSOA, TIPOCONTA |
| CFC004 | Histórico do Cliente/Fornecedor | PESSOA, TIPOCONTA |
| CFC008 | Controle de Cobrança | PESSOA, TIPOCONTA |
| CFC009 | Consulta/Cancelamento de Reparcelamento | PESSOA, TIPOCONTA |
| CFC011 | Saldo Pendente do Cliente/Fornecedor | PESSOA, TIPOCONTA |
| CFC012 | PESSOA, TIPOCONTA | |
| CFC013 | Exportação de Arquivo PEFIN | PESSOA, TIPOCONTA |
| CNF007 | PESSOA, TIPOCONTA | |
| CNF009 | Programação/Fechamento de Comissões | PESSOA, TIPOCONTA |
| CNF011 | Consulta de NFS-e | PERFIL, PESSOA |
| CNF012 | Consulta de CTRC | PESSOA, TIPOCONTA |
| CPD001 | Consulta de Pedidos | PESSOA, TIPOCONTA |
| CPD002 | Consulta de Orçamentos / Ordem de Serviço | PESSOA, TIPOCONTA |
| CPD004 | PESSOA, TIPOCONTA | |
| CPD008 | PESSOA, TIPOCONTA | |
| FNC003 | Parâmetros de Boleto | PESSOA, TIPOCONTA |
| FNC004 | Parâmetros de Cartão de Crédito | PESSOA, TIPOCONTA |
JunsoftEZ | PERFIL, PESSOA | |
| LCX008 | PESSOA, TIPOCONTA | |
| LCX009 | PESSOA, TIPOCONTA | |
| ... | +1124 telas |